Summary:     mdadm controls Linux md devices (software RAID arrays)
Name:        mdadm
Version:     1.5.0
Release:     3
Source:      http://www.cse.unsw.edu.au/~neilb/source/mdadm/mdadm-%{version}.tgz
Source1:     mdmonitor.init
Source2:     mdmpd-0.1.tgz
Source3:     mdmpd.init
Patch:	     mdadm-1.4.0-build-mdmpd.patch
Patch1:	     mdadm-1.5.0-email.patch
Patch2:	     mdmpd-0.1-gcc-3.4.patch
URL:         http://www.cse.unsw.edu.au/~neilb/source/mdadm/
License:     GPL
Group:       System Environment/Base
BuildRoot:   %{_tmppath}/%{name}-root
Obsoletes:   mdctl
Requires:    smtpdaemon

%description 
mdadm is used to create, manage, and monitor Linux MD (software RAID)
devices.  As such, it provides similar functionality to the raidtools
package.  However, mdadm is a single program, and it can perform
almost all functions without a configuration file, though a configuration
file can be used to help with some common tasks.

%prep
%setup -q -a 2
%patch -p1 -b .mdmpd-make
%patch1 -p1 -b .email
%patch2 -p1 -b .gcc-3.4

%build
make CXFLAGS="$RPM_OPT_FLAGS" SYSCONFDIR="%{_sysconfdir}"

%install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} BINDIR=/sbin install
install -D -m644 mdadm.conf-example $RPM_BUILD_ROOT/%{_sysconfdir}/mdadm.conf
install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/mdmonitor
install -D -m755 %{SOURCE3} $RPM_BUILD_ROOT/%{_initrddir}/mdmpd

mkdir -p -m 700 $RPM_BUILD_ROOT/var/run/mdmpd

%clean
[ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mdmonitor
/sbin/chkconfig --add mdmpd

%preun
if [ "$1" = 0 ]; then
    service mdmonitor stop > /dev/null 2>&1 ||:
    /sbin/chkconfig --del mdmonitor
    service mdmpd stop > /dev/null 2>&1 ||:
    /sbin/chkconfig --del mdmpd
fi

%postun
if [ "$1" -ge "1" ]; then
    service mdmonitor condrestart > /dev/null 2>&1
    service mdmpd condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc TODO ChangeLog mdadm.conf-example COPYING
/sbin/*
%{_initrddir}/*
%config(noreplace,missingok)/%{_sysconfdir}/mdadm.conf
%{_mandir}/man*/md*
%attr(0700,root,root) %dir /var/run/mdmpd

%changelog
* Thu Mar  4 2004 Bill Nottingham <notting@redhat.com> 1.5.0-3
- ship /var/run/mpmpd (#117497)

* Thu Feb 26 2004 Doug Ledford <dledford@redhat.com> 1.5.0-2
- Add a default MAILADDR line to the mdadm.conf file installed by default
  (Bugzilla #92447)
- Make it build with gcc-3.4

* Mon Feb 23 2004 Doug Ledford <dledford@redhat.com> 1.5.0-1
- Update to 1.5.0 (from Matthew J. Galgoci <mgalgoci@redhat.com>)

* Sun Nov 16 2003 Doug Ledford <dledford@redhat.com> 1.4.0-1
- fix problem with recovery thread sleeping in mdmpd

* Fri Nov 14 2003 Doug Ledford <dledford@redhat.com>
- sync upstream
- add mdmpd package into mdadm package

* Wed Sep 10 2003 Michael K. Johnson <johnsonm@redhat.com> 1.3.0-1
- sync upstream

* Tue Mar 11 2003 Michael K. Johnson <johnsonm@redhat.com> 1.1.0-1
- sync upstream

* Tue Jan 28 2003 Michael K. Johnson <johnsonm@redhat.com> 1.0.1-1
- update for rebuild

* Wed Dec 25 2002 Tim Powers <timp@redhat.com> 1.0.0-8
- fix references to %%install in the changelog so that it will build

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 1.0.0-7
- Rebuild

* Fri Jul 12 2002 Michael K. Johnson <johnsonm@redhat.com>
- Changed RPM Group to System Environment/Base

* Wed May 15 2002 Michael K. Johnson <johnsonm@redhat.com>
- minor cleanups to the text, conditionalize rm -rf
- added mdmonitor init script

* Fri May 10 2002  <neilb@cse.unsw.edu.au>
- update to 1.0.0
- Set CXFLAGS instead of CFLAGS

* Sat Apr  6 2002  <neilb@cse.unsw.edu.au>
- change %%install to use "make install"

* Fri Mar 15 2002  <gleblanc@localhost.localdomain>
- beautification
- made mdadm.conf non-replaceable config
- renamed Copyright to License in the header
- added missing license file
- used macros for file paths

* Fri Mar 15 2002 Luca Berra <bluca@comedia.it>
- Added Obsoletes: mdctl
- missingok for configfile

* Wed Mar 12 2002 NeilBrown <neilb@cse.unsw.edu.au>
- Add md.4 and mdadm.conf.5 man pages

* Fri Mar 08 2002		Chris Siebenmann <cks@cquest.utoronto.ca>
- builds properly as non-root.

* Fri Mar 08 2002 Derek Vadala <derek@cynicism.com>
- updated for 0.7, fixed /usr/share/doc and added manpage

* Tue Aug 07 2001 Danilo Godec <danci@agenda.si>
- initial RPM build
